Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class ResourceEventMulticaster

    java.lang.Object
      |
      +--org.w3c.tools.resources.event.ResourceEventMulticaster

public class ResourceEventMulticaster
extends java.lang.Object
implements StructureChangedListener, FrameEventListener, AttributeChangedListener

Event dispatching suport class.

Field Summary
`protected java.util.EventListener` | `a`
`protected java.util.EventListener` | `b`

Constructor Summary
`protected` | `ResourceEventMulticaster(java.util.EventListener a, java.util.EventListener b)`

Method Summary
`static AttributeChangedListener` | `add(AttributeChangedListener a, AttributeChangedListener b)` Add an attribute change listener.
`static FrameEventListener` | `add(FrameEventListener a, FrameEventListener b)` Add an Frame event listener.
`static StructureChangedListener` | `add(StructureChangedListener a, StructureChangedListener b)` Add a structure changed listener.
`protected static java.util.EventListener` | `addInternal(java.util.EventListener a, java.util.EventListener b)`
`void` | `attributeChanged(AttributeChangedEvent evt)` Propagate AttributeChanged events.
`void` | `frameAdded(FrameEvent evt)`
`void` | `frameModified(FrameEvent evt)`
`void` | `frameRemoved(FrameEvent evt)`
`static AttributeChangedListener` | `remove(AttributeChangedListener l, AttributeChangedListener ol)` Remove an attribute change listener.
`protected java.util.EventListener` | `remove(java.util.EventListener oldl)`
`static FrameEventListener` | `remove(FrameEventListener l, FrameEventListener oldl)` Remove a frame event listener.
`static StructureChangedListener` | `remove(StructureChangedListener l, StructureChangedListener ol)` Remove a structure changed listener.
`protected static java.util.EventListener` | `removeInternal(java.util.EventListener l, java.util.EventListener oldl)`
`void` | `resourceCreated(StructureChangedEvent evt)`
`void` | `resourceModified(StructureChangedEvent evt)`
`void` | `resourceRemoved(StructureChangedEvent evt)`
`void` | `resourceUnloaded(StructureChangedEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    protected java.util.EventListener a

### b

    protected java.util.EventListener b

Constructor Detail

### ResourceEventMulticaster

    protected ResourceEventMulticaster(java.util.EventListener a,
                                       java.util.EventListener b)

Method Detail

### remove

    protected java.util.EventListener remove(java.util.EventListener oldl)

### removeInternal

    protected static java.util.EventListener removeInternal(java.util.EventListener l,
                                                            java.util.EventListener oldl)

### addInternal

    protected static java.util.EventListener addInternal(java.util.EventListener a,
                                                         java.util.EventListener b)

### add

    public static AttributeChangedListener add(AttributeChangedListener a,
                                               AttributeChangedListener b)

  Add an attribute change listener.

### remove

    public static AttributeChangedListener remove(AttributeChangedListener l,
                                                  AttributeChangedListener ol)

  Remove an attribute change listener.

### attributeChanged

    public void attributeChanged(AttributeChangedEvent evt)

  Propagate AttributeChanged events.
  Specified by:
    attributeChanged in interface AttributeChangedListener

### add

    public static FrameEventListener add(FrameEventListener a,
                                         FrameEventListener b)

  Add an Frame event listener.

### remove

    public static FrameEventListener remove(FrameEventListener l,
                                            FrameEventListener oldl)

  Remove a frame event listener.

### frameAdded

    public void frameAdded(FrameEvent evt)

  Specified by:
    frameAdded in interface FrameEventListener

### frameModified

    public void frameModified(FrameEvent evt)

  Specified by:
    frameModified in interface FrameEventListener

### frameRemoved

    public void frameRemoved(FrameEvent evt)

  Specified by:
    frameRemoved in interface FrameEventListener

### add

    public static StructureChangedListener add(StructureChangedListener a,
                                               StructureChangedListener b)

  Add a structure changed listener.

### remove

    public static StructureChangedListener remove(StructureChangedListener l,
                                                  StructureChangedListener ol)

  Remove a structure changed listener.

### resourceModified

    public void resourceModified(StructureChangedEvent evt)

  Specified by:
    resourceModified in interface StructureChangedListener

### resourceCreated

    public void resourceCreated(StructureChangedEvent evt)

  Specified by:
    resourceCreated in interface StructureChangedListener

### resourceRemoved

    public void resourceRemoved(StructureChangedEvent evt)

  Specified by:
    resourceRemoved in interface StructureChangedListener

### resourceUnloaded

    public void resourceUnloaded(StructureChangedEvent evt)

  Specified by:
    resourceUnloaded in interface StructureChangedListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD